import info.kramann.extensions.mico;
import processing.video.*;
import ketai.camera.*;
import java.util.Properties;

public void setup()
{
    fullScreen();  //full screen view
    frameRate(10);  //draw called 3 times per second
    orientation(LANDSCAPE); //on Android device displayed in landscape not portrait
    
     mico.soundStart();

     //a wav-tone is loaded
     float[] ton57 = mico.wavLoadMix("ton57.wav",this);
     //wav-tone is saved in soundsystem with id 100
     mico.soundRegisterSample(100,44100,220.0f,ton57);


     //tone taken from registered wav-file,
     //sample rate changed to achieve 880Hz instead of 440Hz
     //Period is played more often.
     int id=1;
     int typ = 100;
     float frequency = 880.0f;
     float dt_phase_left = 0.0f;
     float dt_phase_right = 0.0f;     
     float vol_left = 0.2f;
     float vol_right = 0.8f;
     mico.soundAddTone(id, typ, frequency, dt_phase_left, dt_phase_right, vol_left, vol_right);
    
}

//float r = 3.5;
//float r = 3.8;
float r = 3.94;

float y_old = 0.56;
float y_new = 0.0;
int value=0;

public void draw()
{
    background(100,100,255);  //background light blue
  
    y_new = r*y_old*(1.0 - y_old);
    y_old = y_new;

    value = (int)(100.0*y_new);

    println("Chaos value: "+value); //show value on PC terminal 

    fill(255,0,0); //text color red
    textSize(60);  //font size 60pt
    text("Chaos value: "+value,50,50); //show value on the screen

    int id = 1;
    float frequency = 200.0f + 4*value;
    float dt_phase_left = 0.0f;
    float dt_phase_right = 0.0f;
    float vol_left  = 0.5f;
    float vol_right = 0.5f;
    mico.soundChangeTone(id, frequency, dt_phase_left, dt_phase_right, vol_left, vol_right);

}